Create voice consent
client.Audio.VoiceConsents.New(ctx, body) (*VoiceConsent, error)
POST
/audio/voice_consentsCreate voice consent
package main
import (
"bytes"
"context"
"fmt"
"io"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
voiceConsent, err := client.Audio.VoiceConsents.New(context.TODO(), openai.AudioVoiceConsentNewParams{
Language: "language",
Name: "name",
Recording: io.Reader(bytes.NewBuffer([]byte("Example data"))),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceConsent.ID)
}
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}